Loading...
Searching...
No Matches
Halide::JITUserContext Struct Reference

A context to be passed to Pipeline::realize. More...

`#include <JITModule.h>`

## Public Attributes

Internal::JITErrorBuffer * | error_buffer {nullptr}
JITHandlers | handlers

## Detailed Description

A context to be passed to Pipeline::realize.

Inherit from this to pass your own custom context object. Modify the handlers field to override runtime functions per-call to realize.

Definition at line 136 of file JITModule.h.

## Member Data Documentation

## error_buffer

Internal::JITErrorBuffer* Halide::JITUserContext::error_buffer {nullptr}

Definition at line 137 of file JITModule.h.

## handlers

JITHandlers Halide::JITUserContext::handlers

Definition at line 138 of file JITModule.h.

The documentation for this struct was generated from the following file:

- src/JITModule.h